[pkg-wpa-devel] r869 - in /wpasupplicant/trunk/debian: changelog mk-madwifi-header-patch

kelmo-guest at users.alioth.debian.org kelmo-guest at users.alioth.debian.org
Tue Jul 24 15:11:13 UTC 2007


Author: kelmo-guest
Date: Tue Jul 24 15:11:13 2007
New Revision: 869

URL: http://svn.debian.org/wsvn/pkg-wpa/?sc=1&rev=869
Log:
* Add debian/mk-madwifi-header-patch, a quick and dirty bash script for
  generating the madwifi header patch.

Added:
    wpasupplicant/trunk/debian/mk-madwifi-header-patch   (with props)
Modified:
    wpasupplicant/trunk/debian/changelog

Modified: wpasupplicant/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-wpa/wpasupplicant/trunk/debian/changelog?rev=869&op=diff
==============================================================================
--- wpasupplicant/trunk/debian/changelog (original)
+++ wpasupplicant/trunk/debian/changelog Tue Jul 24 15:11:13 2007
@@ -1,3 +1,10 @@
+wpasupplicant (0.6.0-3) unstable; urgency=low
+
+  * Add debian/mk-madwifi-header-patch, a quick and dirty bash script for
+    generating the madwifi header patch.
+
+ -- Kel Modderman <kel at otaku42.de>  Wed, 25 Jul 2007 01:10:12 +1000
+
 wpasupplicant (0.6.0-2) unstable; urgency=low
 
   * Really allow 'wpa-conf managed' to pass through.

Added: wpasupplicant/trunk/debian/mk-madwifi-header-patch
URL: http://svn.debian.org/wsvn/pkg-wpa/wpasupplicant/trunk/debian/mk-madwifi-header-patch?rev=869&op=file
==============================================================================
--- wpasupplicant/trunk/debian/mk-madwifi-header-patch (added)
+++ wpasupplicant/trunk/debian/mk-madwifi-header-patch Tue Jul 24 15:11:13 2007
@@ -1,0 +1,72 @@
+#!/bin/bash -e
+#
+# (C) 2007  Kel Modderman <kel at otaku42.de>
+#
+# Output a dpatch suitable for including MadWifi headers in
+# hostapd/wpa_supplicant to support MadWifi devices.
+#
+
+PACKAGE="wpasupplicant"
+
+HEADERS=(
+	include/compat.h
+	net80211/_ieee80211.h
+	net80211/ieee80211.h
+	net80211/ieee80211_crypto.h
+	net80211/ieee80211_ioctl.h
+)
+
+usage()
+{
+	echo "Usage: $0 /path/to/madwifi-\$version.tar.gz"
+	exit 1
+}
+
+case "${1}" in
+	*madwifi*\.tar\.gz)
+		tarball="${1}"
+		version=$(echo ${1} | \
+			sed -n 's|.*madwifi\(-ng\)\?[-_]\([r0-9\.+-]\+\)\(\.orig\)\?\.tar\.gz$|\2|p')
+		;;
+	*)
+		usage
+		;;
+esac
+
+if ! which dpatch >/dev/null; then
+	echo "dpatch must be installed, aborting..."
+	exit 2
+fi
+
+tmpdir=$(mktemp -d -p /tmp madwifi-patch.XXXXX)
+
+if [ ! -d "${tmpdir}" ]; then
+	echo "failed to create temp directory, aborting..."
+	exit 3
+fi
+
+trap "{ rm -rf ${tmpdir}; }" exit
+
+cp "${tarball}" "${tmpdir}"
+
+pushd "${tmpdir}" >/dev/null
+	tar -zxf "${tarball}"
+
+	for m in madwifi*; do
+		if [ -d "${m}" ]; then
+			madwifi_dir="${m}"
+			break
+		fi
+	done
+
+	for h in ${HEADERS[@]}; do
+		install -D -m 0644 "${madwifi_dir}/${h}" \
+			"${PACKAGE}/driver_madwifi/${h}"
+	done
+
+	mkdir "${PACKAGE}.orig"
+	
+	dpatch patch-template madwifi_headers "MadWifi ($version) headers."
+
+	diff -Nrup "${PACKAGE}.orig" "${PACKAGE}"
+popd >/dev/null

Propchange: wpasupplicant/trunk/debian/mk-madwifi-header-patch
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-wpa-devel mailing list